CKEDITOR.plugins.add( 'link_exec', {
    icons: 'link_exec',
    init: function( editor ) {
		var mypath = this.path;
        editor.addCommand( 'insertLink_exec', { 
            modes : { wysiwyg:1, source:0 }, canUndo : true,
            exec: function( editor ) {    
                editor.insertHtml('{link}');
            },
            editorFocus : true
        });
        editor.ui.addButton( 'Link_exec', {
            label: 'Insert Link',
            command: 'insertLink_exec',
        });
    }
});
